<?php
namespace app\admin\controller;

use think\Controller;
use think\Db;
/*
其他通用
*/
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2020 http://myucms.com All rights reserved.
// +----------------------------------------------------------------------
// | Author: 梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
class Com extends Common
{
	//前台导航
    public function link_index()
    {
        return view();
    }
	//友情链接
    public function link_youqing()
    {
        return view();
    }
	//添加链接
    public function link_add()
    {
        return view();
    }
	//编辑链接
    public function link_edit()
    {
		$c=Db::name('link')->find(input('id'));
        $this->assign('c',$c);
        return view();
    }
    //文章管理
    public function article()
    {
        return view();
    }
	//添加文章
    public function article_add()
    {
        return view();
    }
	//编辑文章
    public function article_edit()
    {
		$c=Db::name('article')->find(input('id'));
        $this->assign('c',$c);
        return view();
    }
	//前台会员
    public function member()
    {
    	$ks = input('ks');
    	$html = Db::name('member')->order('userid desc')->where('phone|username|userid', 'like', '%' . $ks . '%')->paginate(15, false, $config = ['query' => array('ks' => $ks)]);
		$this->assign('html', $html);
        return view();
    }
	//编辑会员
    public function member_edit()
    {
		$c=Db::name('member')->where(array('userid' => input('id')))->find();
        $this->assign('c',$c);
        return view();
    }
	//文件管理
    public function file()
    {
		return view();
    }
    //验证码
    public function yanzhengma()
    {
		return view();
    }
}
